be.fgov.ehealth.aa.complextype.v1

## Class ProfessionCode

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.ProfessionCode

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class ProfessionCode
      extends Object
      implements Serializable

  Type of profession.

  Java class for ProfessionCodeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ProfessionCodeType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="authenticSource" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfessionCode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthenticSource()` Gets the value of the authenticSource property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setAuthenticSource(String value)` Sets the value of the authenticSource property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfessionCode

          public ProfessionCode()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAuthenticSource

          public String getAuthenticSource()

      Gets the value of the authenticSource property.
      Returns:
        possible object is `String`

    - #### setAuthenticSource

          public void setAuthenticSource(String value)

      Sets the value of the authenticSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.